Package oracle.kv.pubsub

# Interface StreamOperation.TransactionEvent

All Superinterfaces:
  `StreamOperation`

Enclosing interface:
  StreamOperation

public static interface StreamOperation.TransactionEvent extends StreamOperation
Used to signal a Transaction operation

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `StreamOperation.TransactionEvent.TransactionType`
  Types of transaction

  ## Nested classes/interfaces inherited from interface oracle.kv.pubsub.StreamOperation

  `StreamOperation.DeleteEvent, StreamOperation.PutEvent, StreamOperation.SequenceId, StreamOperation.TransactionEvent, StreamOperation.Type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getNumOperations()`
  Returns the number of write operations in the transaction
  `List<StreamOperation>`
  `getOperations()`
  Returns an ordered list of write operations in the transaction.
  `TransactionId`
  `getTransactionId()`
  Returns the transaction id
  `StreamOperation.TransactionEvent.TransactionType`
  `getTransactionType()`
  Returns the type of the transaction as `StreamOperation.TransactionEvent.TransactionType`

  ### Methods inherited from interface oracle.kv.pubsub.StreamOperation

  `asDelete, asPut, asTransaction, getBeforeImage, getRepGroupId, getSequenceId, getType, includeBeforeImage, isBeforeImageEnabled, isBeforeImageExpired`

- ## Method Details

  - ### getTransactionId

    TransactionId getTransactionId()
    Returns the transaction id
    Returns:
      transaction id

  - ### getTransactionType

    StreamOperation.TransactionEvent.TransactionType getTransactionType()
    Returns the type of the transaction as `StreamOperation.TransactionEvent.TransactionType`
    Returns:
      transaction type

  - ### getNumOperations

    long getNumOperations()
    Returns the number of write operations in the transaction
    Returns:
      the number of write operations

  - ### getOperations

    List<StreamOperation> getOperations()
    Returns an ordered list of write operations in the transaction. All write operations are on the same order they are performed in the source kvstore.
    Returns:
      ordered list of write operations.